pike.git / lib / modules / Crypto.pmod / RSA.pike

version» Context lines:

pike.git/lib/modules/Crypto.pmod/RSA.pike:1:   /*    * Follow the PKCS#1 standard for padding and encryption.    */      #pike __REAL_VERSION__   #pragma strict_types + #require constant(Crypto.Hash)    - #if constant(Crypto.Hash) -  +    inherit Crypto.Sign;      //   // --- Variables and accessors   //      protected Gmp.mpz n; /* modulo */   protected Gmp.mpz e; /* public exponent */   protected Gmp.mpz d; /* private exponent (if known) */   protected int size;
pike.git/lib/modules/Crypto.pmod/RSA.pike:497:      __deprecated__ Gmp.mpz sign(string(8bit) message, .Hash h)   {    return raw_sign(Standards.PKCS.Signature.build_digestinfo(message, h));   }      __deprecated__ int(0..1) verify(string(8bit) message, .Hash h, Gmp.mpz sign)   {    return raw_verify(Standards.PKCS.Signature.build_digestinfo(message, h), sign);   } -  - #else - constant this_program_does_not_exist=1; - #endif +